# Class CIM_NetworkVLAN
extends CIM_ConnectivityCollection

An instance of NetworkVLAN represents a collection of VLANSwitchEndpoints and/or VLANEndstationEndpoints which are members of the VLAN. There SHOULD be an instance of NetworkVLAN for every VLAN available in a switch. For example, in a switch with port-based VLANs, if there are 16 VLANs to which ports can be assigned (VLAN 1 through VLAN 16), there SHOULD be an instance of NetworkVLAN for each of VLAN 1 through VLAN 16.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection
|
+--CIM_NetworkVLAN

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

An instance of NetworkVLAN represents a collection of VLANSwitchEndpoints and/or VLANEndstationEndpoints which are members of the VLAN. There SHOULD be an instance of NetworkVLAN for every VLAN available in a switch. For example, in a switch with port-based VLANs, if there are 16 VLANs to which ports can be assigned (VLAN 1 through VLAN 16), there SHOULD be an instance of NetworkVLAN for each of VLAN 1 through VLAN 16.

UMLPackagePath | string | CIM::Network::VLAN
Version | string | 2.26.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherTypeDescription | string |
Description | string | A string describing the type of media that is supported by this VLAN, when the value of the Type property is set to 1 (i.e., "Other"). This property should be set to NULL when the Type property is any value other than 1.
ModelCorrespondence | string | CIM_NetworkVLAN.TypeOfMedia
SAIdentifier | uint32 |
Description | string | The value of the 802.10 SAID field which would be used for this VLAN.
TransmissionSize | sint32 |
Description | string | The value of this property is set to a positive integer when the value of the MTU for all members (switch endpoints/endstationendpoints of the VLAN is the same, otherwise is set to -1 and the Transmission size is set on each of the individual endpoints.
TypeOfMedia | uint16 |
Description | string | Defines/restricts the media type of the VLAN. This information is also needed when a VLAN is not yet associated to any end point.
ModelCorrespondence | string | CIM_NetworkVLAN.OtherTypeDescription
ValueMap | string | 0, 1, 2, 3, 4, 5..16000, ..
Values | string | Unknown, Other, Not Applicable, Ethernet, FDDI, DMTF Reserved, Vendor Reserved
VLANId | uint16 |
Description | string | A 12-bit VLAN ID used in the VLAN Tag header.
MappingStrings | string | MIB.IETF|Q-BRIDGE-MIB.VlanId
MaxValue | sint64 | 4094
MinValue | sint64 | 1

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ConnectivityStatus | uint16 | CIM_ConnectivityCollection
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods